Index: Source/Python/Mods/get_mars_data.py
===================================================================
--- Source/Python/Mods/get_mars_data.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Mods/get_mars_data.py	(revision 8209738749e51ca1a930a71db547bfca4a26820b)
@@ -10,7 +10,7 @@
 #    November 2015 - Leopold Haimberger (University of Vienna):
 #        - moved the getEIdata program into a function "get_mars_data"
-#        - moved the AgurmentParser into a seperate function
-#        - adatpted the function for the use in flex_extract
-#        - renamed file to get_mars_data
+#        - moved the AgurmentParser into a separate function
+#        - adapted the function for use in flex_extract
+#        - renamed source file to get_mars_data
 #
 #    February 2018 - Anne Philipp (University of Vienna):
@@ -22,5 +22,5 @@
 #          online documentation)
 #        - use of UIFiles class for file selection and deletion
-#        - seperated get_mars_data function into several smaller pieces:
+#        - separated get_mars_data function into several smaller pieces:
 #          write_reqheader, mk_server, mk_dates, remove_old, do_retrievment
 #
@@ -36,5 +36,5 @@
 #    Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
 #*******************************************************************************
-'''This script extracts MARS data from ECMWF servers.
+'''This script extracts MARS data from ECMWF.
 
 At first, the necessary parameters from command line and CONTROL files are
@@ -44,13 +44,13 @@
 functions:
 
-    * main - the main function of the script
-    * get_mars_data - overall control of ECMWF data retrievment
+    * main            - the main function of the script
+    * get_mars_data   - overall control of ECMWF data retrievment
     * write_reqheader - writes the header into the mars_request file
-    * mk_server - creates the server connection to ECMWF servers
-    * mk_dates - defines the start and end date
-    * remove_old - deletes old retrieved grib files
-    * do_retrievement - creates individual retrievals
-
-Type: get_mars_data.py --help
+    * mk_server       - creates the server connection to ECMWF servers
+    * mk_dates        - defines the start and end date
+    * remove_old      - deletes old retrieved grib files
+    * do_retrieval    - creates individual retrievals
+
+Type get_mars_data.py --help
 to get information about command line parameters.
 Read the documentation for usage instructions.
@@ -66,6 +66,6 @@
 from datetime import datetime, timedelta
 
-# software specific classes and modules from flex_extract
-# add path to local main python path for flex_extract to get full access
+# software-specific classes and modules from flex_extract
+# add path to local main Python path for flex_extract to get full access
 sys.path.append(os.path.dirname(os.path.abspath(
     inspect.getfile(inspect.currentframe()))) + '/../')
@@ -94,8 +94,8 @@
 # ------------------------------------------------------------------------------
 def main():
-    '''Controls the program to get data out of mars.
-
-    This is done if it is called directly from command line.
-    Then it also takes program call arguments and control file input.
+    '''Controls the program to retrieve data from MARS.
+
+    This is done if called directly from command line.
+    Then, arguments and control file are taken as input.
 
     Parameters
@@ -114,8 +114,8 @@
 
 def get_mars_data(c):
-    '''Retrieves the EC data needed for a FLEXPART simulation.
-
-    Start and end dates for retrieval period is set. Retrievals
-    are divided into smaller periods if necessary and datechunk parameter
+    '''Retrieves the ECMWF data required for a FLEXPART simulation.
+
+    Start and end dates for retrieval period are set. Retrievals
+    are divided into shorter periods if necessary and if datechunk parameter
     is set.
 
@@ -137,10 +137,10 @@
 
     if c.request == 0:
-        print("Retrieving EC data!")
+        print("Retrieving ECMWF data!")
     else:
         if c.request == 1:
-            print("Printing mars requests!")
+            print("Printing MARS requests!")
         elif c.request == 2:
-            print("Retrieving EC data and printing mars request!")
+            print("Retrieving ECMWF data and printing MARS request!")
         write_reqheader(os.path.join(c.inputdir, _config.FILE_MARS_REQUESTS))
 
@@ -165,10 +165,10 @@
 
 def write_reqheader(marsfile):
-    '''Writes header with column names into mars request file.
+    '''Writes header with column names into MARS request file.
 
     Parameters
     ----------
     marsfile : str
-        Path to the mars request file.
+        Path to the MARS request file.
 
     Return
@@ -188,9 +188,10 @@
 
 def mk_server(c):
-    '''Creates a server connection with available python API.
-
-    Which API is used depends on availability and the dataset to be retrieved.
-    The CDS API is used for ERA5 dataset no matter if the user is a member or
-    a public user. ECMWF WebAPI is used for all other available datasets.
+    '''Creates a server connection with available Python API.
+
+    The API selected depends on availability and the data set to be retrieved.
+    The CDS API is used for ERA5 data, no matter whether the user is a 
+    member-state or a public user. 
+    ECMWF WebAPI is used for all other available datasets.
 
     Parameters
@@ -247,12 +248,12 @@
 
 def mk_dates(c, fluxes):
-    '''Prepares start and end date depending on flux or non flux data.
-
-    If forecast for maximum one day (upto 24h) are to be retrieved, then
+    '''Prepares start and end date depending on flux or non-flux type of data.
+
+    If forecasts for a maximum of one day (24 h) are to be retrieved, then
     collect accumulation data (flux data) with additional days in the
-    beginning and at the end (used for complete disaggregation of
+    beginning and at the end (needed for complete disaggregation of
     original period)
 
-    If forecast data longer than 24h are to be retrieved, then
+    If forecast data for more than +24 h are to be retrieved, then
     collect accumulation data (flux data) with the exact start and end date
     (disaggregation will be done for the exact time period with
@@ -314,14 +315,14 @@
     ----------
     pattern : str
-        The sub string pattern which identifies the files to be deleted.
+        The substring pattern which identifies the files to be deleted.
 
     inputdir : str, optional
-        Path to the directory where the retrieved data is stored.
-
-    Return
-    ------
-
-    '''
-    print('... removing old content of ' + inputdir)
+        Path to the directory where the retrieved data are stored.
+
+    Return
+    ------
+
+    '''
+    print('... removing old files in ' + inputdir)
 
     tobecleaned = UioFiles(inputdir, pattern)
@@ -332,5 +333,5 @@
 
 def do_retrievement(c, server, start, end, delta_t, fluxes=False):
-    '''Divides the complete retrieval period in smaller chunks and
+    '''Divides the total retrieval period into smaller chunks and
     retrieves the data from MARS.
 
@@ -351,6 +352,5 @@
 
     delta_t : datetime
-        Delta_t + 1 is the maximal time period of a single
-        retrieval.
+        Delta_t + 1 is the maximum time period of a single retrieval.
 
     fluxes : boolean, optional
@@ -365,6 +365,5 @@
 
     # since actual day also counts as one day,
-    # we only need to add datechunk - 1 days to retrieval
-    # for a period
+    # we only need to add datechunk - 1 days to retrieval for a period
     delta_t_m1 = delta_t - timedelta(days=1)
 
